Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xdb.servlet
Class XDBServletResponse

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--javax.servlet.ServletOutputStream
                  |
                  +--oracle.xdb.servlet.XDBServletResponse

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse, XDBStream

public class XDBServletResponse
extends javax.servlet.ServletOutputStream
implements javax.servlet.http.HttpServletResponse, XDBStream

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`XDBServletResponse()`

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)`
`void` | `addDateHeader(java.lang.String name, long date)`
`void` | `addHeader(java.lang.String name, java.lang.String value)`
`void` | `addIntHeader(java.lang.String name, int value)`
`void` | `close()`
`boolean` | `containsHeader(java.lang.String name)`
`java.lang.String` | `encodeRedirectUrl(java.lang.String url)` Deprecated.
`java.lang.String` | `encodeRedirectURL(java.lang.String url)`
`java.lang.String` | `encodeUrl(java.lang.String url)` Deprecated.
`java.lang.String` | `encodeURL(java.lang.String url)`
`void` | `flush()`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`java.lang.String` | `getCharacterEncoding()`
`java.util.Locale` | `getLocale()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `print(java.lang.String s)`
`void` | `println(java.lang.String s)`
`void` | `reset()`
`void` | `sendError(int sc)`
`void` | `sendError(int sc, java.lang.String msg)`
`void` | `sendRedirect(java.lang.String location)`
`void` | `setBufferSize(int size)`
`void` | `setContentLength(int len)`
`void` | `setContentType(java.lang.String type)`
`void` | `setDateHeader(java.lang.String name, long date)`
`void` | `setHeader(java.lang.String name, java.lang.String value)`
`void` | `setIntHeader(java.lang.String name, int value)`
`void` | `setLocale(java.util.Locale loc)`
`void` | `setStatus(int sc)`
`void` | `setStatus(int sc, java.lang.String ms)` Deprecated.
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`
`void` | `writeXMLNative(long xobCState, java.lang.String encoding, short indent)` Write the XOB to the underlying stream

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDBServletResponse

    public XDBServletResponse()

Method Detail

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.io.OutputStream`
    `java.io.IOException`

### print

    public final void print(java.lang.String s)
                     throws java.io.IOException

  Overrides:
    `print` in class `javax.servlet.ServletOutputStream`
    `java.io.IOException`

### println

    public void println(java.lang.String s)
                 throws java.io.IOException

  Overrides:
    `println` in class `javax.servlet.ServletOutputStream`
    `java.io.IOException`

### write

    public final void write(byte[] b)
                     throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
    `java.io.IOException`

### writeXMLNative

    public final void writeXMLNative(long xobCState,
                                     java.lang.String encoding,
                                     short indent)
                              throws java.io.IOException

  Description copied from interface: `XDBStream`
  Write the XOB to the underlying stream
  Specified by:
    `writeXMLNative` in interface `XDBStream`
    `java.io.IOException`

### write

    public final void write(int b)
                     throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    `flush` in class `java.io.OutputStream`
    `java.io.IOException`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`
    `java.io.IOException`

### getBufferSize

    public final int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`

### getCharacterEncoding

    public final java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`

### getLocale

    public final java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletResponse`

### getOutputStream

    public final javax.servlet.ServletOutputStream getOutputStream()

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`

### getWriter

    public final java.io.PrintWriter getWriter()
                                        throws java.io.IOException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
    `java.io.IOException`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`

### reset

    public final void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`

### setBufferSize

    public final void setBufferSize(int size)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`

### setContentType

    public final void setContentType(java.lang.String type)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`

### setContentLength

    public final void setContentLength(int len)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`

### setLocale

    public final void setLocale(java.util.Locale loc)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`

### addCookie

    public final void addCookie(javax.servlet.http.Cookie cookie)

  Specified by:
    `addCookie` in interface `javax.servlet.http.HttpServletResponse`

### addHeader

    public final void addHeader(java.lang.String name,
                                java.lang.String value)

  Specified by:
    `addHeader` in interface `javax.servlet.http.HttpServletResponse`

### addDateHeader

    public final void addDateHeader(java.lang.String name,
                                    long date)

  Specified by:
    `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### addIntHeader

    public final void addIntHeader(java.lang.String name,
                                   int value)

  Specified by:
    `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### containsHeader

    public final boolean containsHeader(java.lang.String name)

  Specified by:
    `containsHeader` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectUrl

    public final java.lang.String encodeRedirectUrl(java.lang.String url)

  Deprecated.
  Specified by:
    `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectURL

    public final java.lang.String encodeRedirectURL(java.lang.String url)

  Specified by:
    `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeUrl

    public final java.lang.String encodeUrl(java.lang.String url)

  Deprecated.
  Specified by:
    `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`

### encodeURL

    public final java.lang.String encodeURL(java.lang.String url)

  Specified by:
    `encodeURL` in interface `javax.servlet.http.HttpServletResponse`

### sendError

    public final void sendError(int sc)

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`

### sendError

    public final void sendError(int sc,
                                java.lang.String msg)

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`

### sendRedirect

    public final void sendRedirect(java.lang.String location)
                            throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
    `java.io.IOException`

### setDateHeader

    public final void setDateHeader(java.lang.String name,
                                    long date)

  Specified by:
    `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### setHeader

    public final void setHeader(java.lang.String name,
                                java.lang.String value)

  Specified by:
    `setHeader` in interface `javax.servlet.http.HttpServletResponse`

### setIntHeader

    public final void setIntHeader(java.lang.String name,
                                   int value)

  Specified by:
    `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public final void setStatus(int sc)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public final void setStatus(int sc,
                                java.lang.String ms)

  Deprecated.
  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.